Subject: Re: [PATCH 1/3] net: phy: mscc: Add possibilty to disable combined LED mode

From: Andrew Lunn <[email-masked]>
Date: Fri, 1 Oct 2021 02:05:12 +0200

On Thu, Sep 30, 2021 at 02:57:43PM +0200, Frieder Schrempf wrote:
> From: Frieder Schrempf <[email-masked]>
> 
> By default the LED modes offer to combine two indicators like speed/link
> and activity in one LED. In order to use a LED only for the first of the
> two modes, the combined feature needs to be disabled.
> 
> In order to do this we introduce a boolean devicetree property
> 'vsc8531,led-[N]-combine-disable' and wire it up to the matching
> bits in the LED behavior register.

Sorry, but no DT property. Each PHY has its own magic combination of
DT properties, nothing shared, nothing common. This does not scale.

Please look at the work being done to control PHY LEDs using the Linux
LED infrastructure. That should give us one uniform interface for all
PHY LEDs.

    Andrew